Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/share/mk Compare libraries that the bsd.prog.mk "knows about...



details:   https://anonhg.NetBSD.org/src/rev/0d780c688e26
branches:  trunk
changeset: 461195:0d780c688e26
user:      christos <christos%NetBSD.org@localhost>
date:      Mon Nov 18 16:23:28 2019 +0000

description:
Compare libraries that the bsd.prog.mk "knows about" vs the ones we actually
install... Yes, pretty bad right now.

diffstat:

 share/mk/compare-lib-lists |  23 +++++++++++++----------
 1 files changed, 13 insertions(+), 10 deletions(-)

diffs (52 lines):

diff -r 58d5748c3622 -r 0d780c688e26 share/mk/compare-lib-lists
--- a/share/mk/compare-lib-lists        Mon Nov 18 16:09:21 2019 +0000
+++ b/share/mk/compare-lib-lists        Mon Nov 18 16:23:28 2019 +0000
@@ -1,16 +1,20 @@
 #!/bin/sh
-# $NetBSD: compare-lib-lists,v 1.2 2019/11/18 16:09:21 christos Exp $
+# $NetBSD: compare-lib-lists,v 1.3 2019/11/18 16:23:28 christos Exp $
 #
 # Q+D script to print the library lists for comparison between whats in the
-# bsd.prog.mk file and bsd.README
+# bsd.prog.mk file and bsd.README (this matches)
+#
+# Also compare the list of LIB variables we create against the actually
+# installed archives (this does *not* match -- yet)
 
 prog=$(basename "$0")
 
 RD=/tmp/${prog}.rd.$$
 MK=/tmp/${prog}.mk.$$
 IN=/tmp/${prog}.in.$$
+LB=/tmp/${prog}.lb.$$
 
-trap "rm -f ${MK} ${RD} ${IN}" 0 1 2 3 15
+trap "rm -f ${MK} ${RD} ${IN} ${LB}" 0 1 2 3 15
 
 make -f - all << \EOF > ${MK}
 .include <bsd.prog.mk>
@@ -34,9 +38,8 @@
 paste ${MK} ${RD}
 
 echo "------"
-echo "Not installed"
 
-cat << \EOF | make -f - xall > ${IN}
+cat << \EOF | make -f - xall | sort > ${IN}
 .include <bsd.prog.mk>
 
 xall:
@@ -47,8 +50,8 @@
        @echo ${DESTDIR}${X11USRLIBDIR}/lib${_lib}.a
 .endfor
 EOF
-for i in ${IN}; do
-       if [ ! -f $i ]; then
-               echo $i
-       fi
-done
+
+ls -1 /usr/lib/*.a /usr/X11R7/lib/*.a | \
+    egrep -v '(_p|_pic|_g)\.a' | sort > ${LB}
+
+paste ${IN} ${LB}



Home | Main Index | Thread Index | Old Index